#!/bin/sh

#
#
# Quick and dirty script to start cmplayer on LAN
#
# You MUST edit:
#
#	HOSTS	variable (list of hosts which will run cmplayer)
#	BCAST	broadcast address of $HOSTS
#	MASTER  the IP of master server (attached to same network as $HOSTS)
#	BASE	base path of cmplayer installation
#	BM		base path of movies
#	RSH		rsh/ssh command to use
#
# Requires:
#	killall (linux syntax)
#	rsh/ssh setup to allow remote commands w/o auth dialog
#

#HOSTS="n-n01 n-n02 n-n03 n-n04 n-n05 n-n06"
HOSTS="annwn cicely"
N=`echo "$HOSTS" | wc -w | tr -d ' '`

#BCAST=192.168.0.255
BCAST=155.210.155.255
MASTER=`hostname`
BASE=/scratch/spd/cave-mplayer
RSH="ssh -x -n"
#RSH="rsh -n"



PG=cave-mplayer
UDP=-udp
#UDP=""
TCP="-srv $MASTER"
#TCP=""

if [ "_$2" = "_" ]
then
	echo Use: $0 "[start|stop] movie"
	exit 1
fi

BM=/home/spd/public_html/isoaxis
MOVIE=$BM/$2

PATH=$PATH:/usr/local/bin:$BASE/bin
export PATH


case $1 in
	"start")
		
		cmplayers -d -p 7687 -n $N -t 5 &

		for h in $HOSTS
		do
			$RSH $h \
			env \
			DISPLAY=:0.0 \
			$BASE/bin/cave-mplayer \
				$UDP $TCP \
				-framedrop \
				-autosync 0 \
				-quiet \
				-nosound \
				-fs \
				-fs \
			$MOVIE \> $h.log 2\>\&1 &
			echo $h
		done
		echo waiting for $N answers
		if wait %1
		then
			echo starting players
			set -x
			cmplayerc \
				-H $BCAST -p 7686 -b -a $N -t 5
			echo all clients started
		else
			echo ERROR: Some clients failed
			./cmplayer.sh stop $MOVIE
		fi
		;;

	"stop")

		for h in $HOSTS
		do
			$RSH $h \
			killall -s TERM $PG
			echo $h
		done
		sleep 2
		;;

esac

